Bold VideoDocs

AI Conversations

List all conversations for a viewer

GET
/api/v1/ai/conversations

Authorization

api_token
AuthorizationBearer <token>

API token provided by BOLD Admin

In: header

Query Parameters

viewer*string

Viewer UUID or external ID

limit?integer

Results per page (max 100)

offset?integer

Offset for pagination

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://app.boldvideo.io/api/v1/ai/conversations?viewer=string"
{
  "conversations": [
    {
      "conversation_id": "string",
      "created_at": "2019-08-24T14:15:22Z",
      "message_count": 0,
      "preview": "string",
      "scope": "video",
      "status": "string",
      "title": "string",
      "updated_at": "2019-08-24T14:15:22Z",
      "video": {
        "id": "string",
        "thumbnail_url": "string",
        "title": "string",
        "url": "string"
      }
    }
  ],
  "pagination": {
    "has_more": true,
    "limit": 0,
    "offset": 0
  }
}
{
  "code": "not_found",
  "message": "Video not found",
  "retryable": false,
  "type": "error"
}
{
  "code": "not_found",
  "message": "Video not found",
  "retryable": false,
  "type": "error"
}
{
  "code": "not_found",
  "message": "Video not found",
  "retryable": false,
  "type": "error"
}